サポート » インストール » パスワード不明

  • 解決済 mmwaka

    (@mmwaka)


    MEから2.5.1にバージョンアップを失敗したみたいだったので、バックアップをすべてアップロードしました。
    するとちゃんと表示はされるのですが、ログインでパスワードのセッション期限が過ぎていたので、パスワードを入れたのですが、パスワードが異なりますとでました。
    再発行をしてもらおうとすると、メールアドレスを変更していたことに気づいたのですが、
    後の祭りです。
    なにか解決策があるでしょうか。

2件の返信を表示中 - 1 - 2件目 (全2件中)
  • モデレーター IKEDA Yuriko

    (@lilyfan)

    MEから2.5.1にバージョンアップを失敗したみたいだったので、バックアップをすべてアップロードしました。

    WordPress の構成ファイルのみならず、データベースもバックアップに復帰されたんでしょうか。現状では ME の状態でしょうか。
    データベースはバックアップに戻してないとすると、それは整合が取れてない状態です。

    するとちゃんと表示はされるのですが、ログインでパスワードのセッション期限が過ぎていたので、パスワードを入れたのですが、パスワードが異なりますとでました。
    再発行をしてもらおうとすると、メールアドレスを変更していたことに気づいたのですが、
    後の祭りです。

    もしデータベースはバックアップから復帰されていなくて、WordPress 2.5 以降でログインしたことがあれば、パスワードの保存形式が変更されているため、ログインできません。

    むりやりデータベース上のパスワードを変更する手がありますが、むしろメールアドレスを変更する方が安全でしょう。phpMyAdmin や mysql クライアントで、wp_users の user_email カラムを変更してください。

    ありがとうございました。
    おかげさまで、パスワード取得できました。
    MEから2.5.1のバージョンアップは、よくわかりませんので
    しばらくはMEのままにしておきます。

2件の返信を表示中 - 1 - 2件目 (全2件中)
  • トピック「パスワード不明」には新たに返信することはできません。